Package com.pixelmed.dicom

# Class ContentItemFactory.CodeContentItem

java.lang.Object
com.pixelmed.dicom.ContentItem
com.pixelmed.dicom.ContentItemWithValue
com.pixelmed.dicom.ContentItemFactory.CodeContentItem

All Implemented Interfaces:
  `TreeNode`

Enclosing class:
  ContentItemFactory

public class ContentItemFactory.CodeContentItem extends ContentItemWithValue

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CodedSequenceItem`
`conceptCode`

### Fields inherited from class com.pixelmed.dicom.ContentItemWithValue

`conceptName, referencedContentItemIdentifier, valueType`

### Fields inherited from class com.pixelmed.dicom.ContentItem

`observationDateTime, observationUID, relationshipType`

## Constructor Summary

Constructors
Constructor
Description
`CodeContentItem(ContentItem parent, AttributeList list)`
`CodeContentItem(ContentItem parent, String relationshipType, CodedSequenceItem conceptName, CodedSequenceItem conceptCode)`
`CodeContentItem(ContentItem parent, String relationshipType, CodedSequenceItem conceptName, CodedSequenceItem conceptCode, String observationDateTime, String observationUID)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`contentItemValueMatchesCodeValueAndCodingSchemeDesignator(String cvWanted, String csdWanted)`
Test if the coded value of the code content item matches the specified code value and coding scheme designator.
`CodedSequenceItem`
`getConceptCode()`
`String`
`getConceptValue()`
Get a string representation of the value of the concept.
`String`
`toString()`
Get a human-readable string representation of the content item.

### Methods inherited from class com.pixelmed.dicom.ContentItemWithValue

`contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getConceptName, getConceptNameAndValue, getConceptNameCodeMeaning, getConceptNameCodeValue, getConceptNameCodingSchemeDesignator, getValueType`

### Methods inherited from class com.pixelmed.dicom.ContentItem

`addChild, addSibling, children, contentItemNameMatchesCodeValueAndCodingSchemeDesignator, getAllowsChildren, getAttributeList, getChildAt, getChildCount, getGraphicData, getGraphicType, getIndex, getNamedChild, getNamedChild, getObservationDateTime, getObservationUID, getParent, getParentAsContentItem, getPositionInTreeToUseAsReferencedContentItemIdentifier, getReferencedContentItemIdentifier, getReferencedContentItemIdentifierArray, getReferencedSOPClassUID, getReferencedSOPInstanceUID, getRelationshipType, getSingleStringValueOrNull, getSingleStringValueOrNullOfNamedChild, getSingleStringValueOrNullOfNamedChild, isLeaf`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### conceptCode

protected CodedSequenceItem conceptCode

## Constructor Details

### CodeContentItem

public CodeContentItem(ContentItem parent, AttributeList list)

Parameters:
  `parent` - parent content item to add to
  `list` - the list of attributes for this content item

### CodeContentItem

public CodeContentItem(ContentItem parent, String relationshipType, CodedSequenceItem conceptName, CodedSequenceItem conceptCode, String observationDateTime, String observationUID) throws DicomException

Parameters:
  `parent` - parent content item to add to
  `relationshipType` - relationship type
  `conceptName` - coded concept name
  `conceptCode` - coded value
  `observationDateTime` - Observation DateTime (or null or empty if none)
  `observationUID` - Observation UID (or null or empty if none)
Throws:
  `DicomException` - if error in DICOM encoding

### CodeContentItem

public CodeContentItem(ContentItem parent, String relationshipType, CodedSequenceItem conceptName, CodedSequenceItem conceptCode) throws DicomException

Parameters:
  `parent` - parent content item to add to
  `relationshipType` - relationship type
  `conceptName` - coded concept name
  `conceptCode` - coded value
Throws:
  `DicomException` - if error in DICOM encoding

## Method Details

### getConceptValue

public String getConceptValue()
Description copied from class: `ContentItemWithValue`

Get a string representation of the value of the concept.

The exact form of the returned string is specific to the type of ContentItem.

Specified by:
  `getConceptValue` in class `ContentItemWithValue`
Returns:
  a String representation of the name and value, or an empty string

### toString

public String toString()
Description copied from class: `ContentItemWithValue`

Get a human-readable string representation of the content item.

Overrides:
  `toString` in class `ContentItemWithValue`
Returns:
  the string representation of the content item

### getConceptCode

public CodedSequenceItem getConceptCode()

### contentItemValueMatchesCodeValueAndCodingSchemeDesignator

public boolean contentItemValueMatchesCodeValueAndCodingSchemeDesignator(String cvWanted, String csdWanted)
Test if the coded value of the code content item matches the specified code value and coding scheme designator. This is more robust than checking code meaning, which may have synomyms, and there is no need to also test code meaning.

Parameters:
  `csdWanted` - the coding scheme designator of the coded value wanted
  `cvWanted` - the code value of the coded value wanted
Returns:
  true if matches